Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Errors!! Arggff!


Guest

Recommended Posts

Warning: reset() [function.reset]: Passed variable is not an array or object in /WebSites/interfuture/autodelta.co.uk/catalog/includes/classes/email.php on line 71

 

Warning: Variable passed to each() is not an array or object in /WebSites/interfuture/autodelta.co.uk/catalog/includes/classes/email.php on line 72

 

Fatal error: Call to a member function on a non-object in /WebSites/interfuture/autodelta.co.uk/catalog/includes/functions/general.php on line 970

Query was empty - Query was empty

 

Query was empty

 

[TEP STOP]

 

 

Warning: Unknown(): A session is active. You cannot change the session module's ini settings at this time. in Unknown on line 0

 

I get this error when trying to register. I fill in the forms and get that error.

 

The account although does get registered according to the admin cp, but no confirmation of validation email gets sent.

 

Please help!! :'(

Link to comment
Share on other sites

I get this error when trying to register.  I fill in the forms and get that error.

 

The account although does get registered according to the admin cp, but no confirmation of validation email gets sent.

 

Please help!! :'(

Are you running this on a LIVE production server or on a test server?

 

The reason I ask is that when I did the same thing on my laptop, (Windows, Apache, MySQL, PHP enabled), I got the same error.

 

This maybe down to the fact that a test environ does not have the same facilities as a production one, (sendmail, SMTP, etc) unless you can install and set them up.

 

I could be wrong, it has been known.

Link to comment
Share on other sites

Hey,

 

Thanks for the reply - its on a production server. The strange thing is, is that i have tried it on a different hosting account and don't get a problem. Just with this other account i get these damn errors.

Link to comment
Share on other sites

Find out which version of php your web hosting company (www.virtualisp.co.uk) are using. I couldn't find that info anywhere on their site. If it's less that 4.0 then osCommerce won't run, and if they've upgraded to php5 then you have major problems.

 

Vger

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...